apiVersion: v1
kind: ConfigMap
metadata:
  name: check-database
  namespace: {{ .Values.namespace }}
data:
  check_db.sh: |
    #!/bin/sh

    touch res.txt
    count=0
    filled=false
    until [ ! "$count" -le 12 ]; do
        echo $count
        if [[ -s res.txt ]]
        then
              filled=true
              break
        fi
        count=$((count+1))
        nc -w 5 "{{ .Release.Name }}-mysql-svc" 3306 > res.txt
        echo "Database is still running!"
        sleep 10
    done

    if [[ "$filled" == "true" ]]
    then
        echo "Database is up and running!"
        exit 0
    else
        echo "Session timeout!"
        exit 1
    fi